Upgrade to Firefox v1.07 Immediately - Severe Security Hole Found

Posted by Dan on Sep 23, 2005 @ 10:21 AM

For all of you running Firefox, you really should upgrade your version immediately. The Washington Post has reported a severe security hole that can allow a malicious hacker to take control of your PC.

Upgrade to Firefox v1.07 now by downloading it from the Firefox Product page.

Categories: Java, Flex/Flash, HTML/ColdFusion, Potpourri, Technology, JavaScript, Personal


Add Comment

Leave this field empty